package cn.efunbox.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import cn.efunbox.model.Recommend;

public interface RecommendMapper {
    /** 
     * 插入一条记录
     * @param person
     */
    void insert(Recommend recmd);
    
    /**
     * 查询所有
     * @return
     */
    List<Recommend> queryAll();

    /**
     * 搜索
     * @return
     */
	List<Recommend> search(@Param("age") int age, @Param("sex") int sex, @Param("type") int type, @Param("limit") int limit, @Param("offset") int offset);
}